SpeciesManager
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.db.managers
Class SpeciesManager

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.SpeciesManager

    public class SpeciesManager

extends java.lang.Object

Field Summary
`static java.lang.String` | `speciesOccurSum`

Constructor Summary
`SpeciesManager()`

Method Summary
`static java.lang.String` | `getCommonTaxonomy(java.util.Set<Species> species)`
`static java.lang.String` | `getCompleteName(java.lang.String hspenName, java.lang.String fieldName)`
`static java.io.File` | `getCSVList(java.util.List<Filter> genericSearch, java.util.List<Filter> specificSearch, int HSPENId)`
`static java.lang.String` | `getFilteredHSPEN(java.lang.String sourceHSPEN, java.util.Set<Species> toInsert)`
`static java.lang.String` | `getJSONList(PagedRequestSettings settings, java.util.List<Filter> genericSearch, java.util.List<Filter> specificSearch, int HSPENId)`
`static java.lang.String` | `getJSONTaxonomy(Field toSelect, java.util.List<Field> filters, PagedRequestSettings settings)`
`static java.util.Set<Species>` | `getList(java.util.List<Field> filters)`
`static java.util.Set<Species>` | `getList(java.util.List<Field> filters, Resource hspen)`
`static Species` | `getSpeciesById(boolean fetchStatic, boolean fetchEnvelope, java.lang.String id, int hspenId)`
`static java.lang.String` | `perturbationUpdate(java.lang.String hspenTable, java.util.Map<java.lang.String,Perturbation> toSetPerturbations, java.lang.String speciesId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### speciesOccurSum

    public static final java.lang.String speciesOccurSum

See Also:
  Constant Field Values

Constructor Detail

### SpeciesManager

    public SpeciesManager()

Method Detail

### getSpeciesById

    public static Species getSpeciesById(boolean fetchStatic,
                                         boolean fetchEnvelope,
                                         java.lang.String id,
                                         int hspenId)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getList

    public static java.util.Set<Species> getList(java.util.List<Field> filters)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getList

    public static java.util.Set<Species> getList(java.util.List<Field> filters,
                                                 Resource hspen)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getFilteredHSPEN

    public static java.lang.String getFilteredHSPEN(java.lang.String sourceHSPEN,
                                                    java.util.Set<Species> toInsert)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONList

    public static java.lang.String getJSONList(PagedRequestSettings settings,
                                               java.util.List<Filter> genericSearch,
                                               java.util.List<Filter> specificSearch,
                                               int HSPENId)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCSVList

    public static java.io.File getCSVList(java.util.List<Filter> genericSearch,
                                          java.util.List<Filter> specificSearch,
                                          int HSPENId)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCompleteName

    public static java.lang.String getCompleteName(java.lang.String hspenName,
                                                   java.lang.String fieldName)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### perturbationUpdate

    public static java.lang.String perturbationUpdate(java.lang.String hspenTable,
                                                      java.util.Map<java.lang.String,Perturbation> toSetPerturbations,
                                                      java.lang.String speciesId)
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONTaxonomy

    public static java.lang.String getJSONTaxonomy(Field toSelect,
                                                   java.util.List<Field> filters,
                                                   PagedRequestSettings settings)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCommonTaxonomy

    public static java.lang.String getCommonTaxonomy(java.util.Set<Species> species)
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD